Bug 32698 - [bisected LVDS] black screen with T410 (Calpella/Arrandale)
[bisected LVDS] black screen with T410 (Calpella/Arrandale)
Status: VERIFIED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
All Linux (All)
: highest critical
Assigned To: Chris Wilson
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-28 04:45 UTC by fangxun
Modified: 2011-01-03 23:29 UTC (History)
1 user (show)

See Also:


Attachments
dmesg file (42.36 KB, text/plain)
2010-12-28 04:45 UTC, fangxun
no flags Details
vbios.dump (64.00 KB, text/plain)
2010-12-29 01:37 UTC, fangxun
no flags Details
intel_reg_dumper (7.79 KB, text/plain)
2010-12-29 01:37 UTC, fangxun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fangxun 2010-12-28 04:45:49 UTC
Created attachment 41485 [details]
dmesg file

System Environment:
--------------------------
Arch:           x86-64
Platform:       capella
Libdrm:		(master)2.4.23-4-gbad5242a59aa8e31cf10749e2ac69b3c66ef7da0
Mesa:		(7.10)1988cba847386f5e03703137136c4fee08318ba2
Xserver:  (server-1.9-branch)xorg-server-1.9.3-10-g295a893aa3b594f9e0fb154bff14e12514b4dad5
Xf86_video_intel:(master)2.13.902-11-g7667ad8432c032aec3a2aa004fc4dfc1877971b3
Kernel:	(drm-intel-fixes) 4d3024428f5c3ef5295e6f6fb257ae118b3f93a1


Bug detailed description:
-------------------------
My capella is ThinkPad T410. Black screen happens on it when kernel boot-up. We can ping it and ssh into the system. The problem doesn't happen on another capella(DELL e6510 with EDP). Bisect shows the first bad commit is commit 448f53a1ede54eb854d036abf54573281412d650.
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Dec 14 20:06:20 2010 +0000

    drm/i915/bios: Reverse order of 100/120 Mhz SSC clocks

    Fixes the lack of output on the LVDS panel of the Lenovo U160.

    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=31596
    Reported-and-tested-by: Dirk Gouders <gouders@et.bocholt.fh-gelsenkirchen.de>
    Cc: stable@kernel.org
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>


Reproduce steps:
----------------
1. Restart system
2. Screen goes to blank screen when kernel boot-up.
Comment 1 fangxun 2010-12-29 01:37:20 UTC
Created attachment 41500 [details]
vbios.dump
Comment 2 fangxun 2010-12-29 01:37:45 UTC
Created attachment 41501 [details]
intel_reg_dumper
Comment 3 Chris Wilson 2010-12-30 07:49:27 UTC
I've queued the revert for -fixes:

commit bcfbbce822d219eb587acaba8a6e062bbeae4761
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Dec 30 09:07:15 2010 +0000

    Revert "drm/i915/bios: Reverse order of 100/120 Mhz SSC clocks"
    
    As I feared, whilst this fixed the clocks for the Lenovo U160, it broke
    many other machines. So lets reverts commit 448f53a1ede54eb854d036abf
    and search for the real bug.
    
    Reported-and-tested-by: Travis Hume <travis@computoring.org> [et al]
    Bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=25842
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=32698
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 4 fangxun 2011-01-03 23:29:13 UTC
Verified with Kernel(drm-intel-next) a9ac4ef59da8cb3c2990bb0bd4fcbaa9094c6ac6
and Kernel(drm-intel-fixes) 3643e0e87c13c670a0fdcd0c34401b38b36ff021.